/**
  *  \file client/actions.h
  *
  *  (c) 2001,2002,2003 Stefan Reuther <Streu@gmx.de>
  *
  *  This program is free software; you can redistribute it and/or
  *  modify it under the terms of file `COPYING' that comes with the
  *  source code.
  *
  *  This program is distributed in the hope that it will be useful,
  *  but WITHOUT ANY WARRANTY; without even the implied warranty of
  *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
  */
#ifndef PCC_V2_CLIENT_ACTIONS_H
#define PCC_V2_CLIENT_ACTIONS_H

#include "game/objlist.h"

class GPlanet;
class GShip;
class UIEvent;

void doPlanetFCodeChange(GPlanet& planet);
void doPlanetTransfer(GPlanet& planet, bool unload);
void doPlanetTransferFor(GPlanet& planet, GObjectId chosen);

void doBaseChangeMission(GPlanet& planet);
void doBaseFixRecycle(GPlanet& planet, const UIEvent& pe);

#endif
