/**
  *  \file client/winfo.h
  */
#ifndef PCC_V2_CLIENT_WINFO_H
#define PCC_V2_CLIENT_WINFO_H

#include "ui/ui.h"

// FIXME: probably all these as well as UINumberSelector could use a
// common base class?

class WHullInfo : public UIWidget {
    int hull_id;
 public:
    WHullInfo();
    ~WHullInfo();

    void draw(GfxCanvas& can, UpdateInfo& ui);
    void getLayoutInfo(LayoutInfo& li);
    void setHullId(int n);
};

class WBeamInfo : public UIWidget {
    int beam_id;
 public:
    WBeamInfo();
    ~WBeamInfo();

    void draw(GfxCanvas& can, UpdateInfo& ui);
    void getLayoutInfo(LayoutInfo& li);
    void setBeamId(int n);
};

class WTorpInfo : public UIWidget {
    int torp_id;
 public:
    WTorpInfo();
    ~WTorpInfo();

    void draw(GfxCanvas& can, UpdateInfo& ui);
    void getLayoutInfo(LayoutInfo& li);
    void setTorpId(int n);
};

class WEngineInfo : public UIWidget {
    int engine_id;
 public:
    WEngineInfo();
    ~WEngineInfo();

    void draw(GfxCanvas& can, UpdateInfo& ui);
    void getLayoutInfo(LayoutInfo& li);
    void setEngineId(int n);
};

#endif
