; Definition of the hull functions          -*- ccspec -*-
;
;  NUM,FLAGS,NAME
;    - NUM: numeric code
;    - FLAGS: (ignored; not yet specified)
;    - NAME: name of device
;  Assignments:
;    d = TEXT          description. Should be self-contained, it's the only
;                      thing we show the user. Defaults to NAME.
;    s = A,B,C         hulls which have it by default
;    i = NUM           this device implies another one
;  About 'i': a device X implies another one Y if a ship that has X and
;  Y does just X.

0,a,Alchemy
        d = Alchemy: 3 sup -> 1 T/D/M
        d[de] = Alchemie: 3 Vor -> 1 T/D/M
        s = 105
1,a,Refinery
        d = Alchemy: 1 sup + 1 T/D/M -> 1 N
        d[de] = Alchemie: 3 Vor -> 1 T/D/M
        s = 104
2,a,AdvancedRefinery
        d = Alchemy: 1 T/D/M -> 1 N
        d[de] = Alchemie: 1 T/D/M -> 1 N
        s = 97
3,t,HeatsTo50
        d = Terraforming: heats to 50F
        d[de] = Terraformen: heizen auf 50F
        s = 3
4,t,CoolsTo50
        d = Terraforming: cools to 50F
        d[de] = Terraformen: khlen auf 50F
        s = 8
5,t,HeatsTo100
        d = Terraforming: heats to 100F
        d[de] = Terraformen: heizen auf 100F
        s = 64
        i = 3   ;HeatsTo50
6,h,Hyperdrive
        d = Hyperdrive
        d[de] = Hyperantrieb
        s = 51,77,87
7,g,Gravitonic
        d = Gravitonic Accelerators
        d[de] = Gravitonen-Beschleuniger
        s = 44,45,46
8,s,ScansAllWormholes
        d = Scans all wormholes in range
        d[de] = Findet alle Wurmlcher in Reichweite
        s = 3
9,,Gambling
        d = Gambling
        d[de] = Spielkasino
        s = 42
10,,AntiCloak
        d = Anti-Cloak
        d[de] = Enttarnung
        s = 7
11,i,ImperialAssault
        d = Imperial Assault        
        s = 69
12,c,Chunneling
        d = Chunneling        
        s = 56
13,r,Ramscoop
        d = Ramscoop (gathers fuel)
        d[de] = Ramscoop (Treibstoff generieren)
        s = 96
14,s,FullBioscan
        d = Advanced Bioscanner
        d[de] = Verbesserter Bioscanner        
        s = 84
        i = 17    ;Bioscan
15,c,AdvancedCloak
        d = Advanced Cloaking Device
        d[de] = Verbesserte Tarnvorrichtung        
        s = 29,31
        i = 16
16,c,Cloak
        d = Cloaking Device
        d[de] = Tarnvorrichtung        
        s = 21,22,25,26,27,28,32,33,36,38,43,44,45,46,47
17,s,Bioscan
        d = Bioscanner        
        s = 9,96
18,d,GloryDeviceLowDamage
        d = Glory Device (low damage to own units)
        d[de] = Glory Device (wenig Schaden an eigenen Einheiten)
        s = 41
19,d,GloryDeviceHighDamage
        d = Glory Device (high damage)
        d[de] = Glory Device (viel Schaden an eigenen Einheiten)        
        s = 39
        i = 18  ;GloryDeviceLowDamage
20,,Unclonable
        d = Unclonable
        d[de] = Nicht kopierbar
        i = 21  ;CloneOnce
21,,CloneOnce
        d = Clonable once
        d[de] = Einmal kopierbar        
22,,Ungiveable
        d = Ungiveable
        i = 23  ;GiveOnce
23,,GiveOnce
        d = Give-once
24,,Level2Tow
        d = Level 2 Tractor Beam
        d[de] = Traktorstrahl Stufe 2
