/**
  *  \file client/dlg-supplies.h
  */
#ifndef PCC_V2_CLIENT_DLG_SUPPLIES_H
#define PCC_V2_CLIENT_DLG_SUPPLIES_H

#include "ui/window.h"
#include "ui/widgets.h"
#include "cpluslib/holder.h"

class GPlanetSellSuppliesAction;
class GPlanet;

class WSellSuppliesDialog : public UIWindow {
    ObjectHolder       holder;
    UIDecimalSelector  select;
    GPlanetSellSuppliesAction& action;

    void onEnter(int);
    void onCancel(int);
    void onAll(int);
 public:
    WSellSuppliesDialog(GPlanetSellSuppliesAction& act);
    ~WSellSuppliesDialog();

    static void doDialog(GPlanet& p);
};

#endif
