/**
  *  \file game/error.cc
  */

#include "game/error.h"

/** Standard error codes, for script side. */
const char GError::eFacility[] = "Facility not available",
    GError::eNotOwner[] = "Not owner",
    GError::eRange[] = "Range error",
    GError::ePerm[] = "Not allowed",
    GError::eNoBase[] = "No base",
    GError::eNoResource[] = "No resources",
    GError::ePos[] = "Different position",
    GError::ePartial[] = "Partial argument specification",
    GError::eUser[] = "No race loaded",
    GError::eFleet[] = "Fleet member",
    GError::eGraph[] = "Not in graphics mode";
